package org.switchyard.quickstarts.bpm.service;

import org.switchyard.Context;
import org.switchyard.component.resteasy.composer.RESTEasyBindingData;
import org.switchyard.component.resteasy.composer.RESTEasyContextMapper;

public class ProcessIdMapper extends RESTEasyContextMapper {
	
	private static final String PROCESS_ID_KEY = 
			"{urn:switchyard-component-bpm:bpm:1.0}processInstanceId";

	@Override
	public void mapTo(Context context, RESTEasyBindingData target) throws Exception {
		super.mapTo(context, target);
		Long pid = context.getPropertyValue(PROCESS_ID_KEY);
		if (pid != null) {
			target.addHeader("processId", pid.toString());
		}
	}
}
